%define version 2.1
%define release 1mdk
%define name wmsmpmon

Summary:  System information for Dual CPUs (memory, swap, cpu, IO) in a small dock app
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Toys
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://goupilfr.org/creations/?action=c&prog=wmSMPmon
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Monitor your dual processor system, memory, swap, and IOs in a small
dock app. It has been designed to work with wmaker, but nothing prevents
it from being run under another window manager.
 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n wmSMPmon-2.x

%build
# ./configure --prefix="$RPM_BUILD_ROOT"%{prefix}/
make -C wmSMPmon RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}.16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}.32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}.48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 wmSMPmon/wmSMPmon $RPM_BUILD_ROOT%{prefix}/bin/

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/wmSMPmon -g 3" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="Wmsmpmon"\\
                 longtitle="System information on dual CPU systems in a small icon"
EOF


%clean
rm -rf $RPM_BUILD_ROOT



%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc GREETINGS  LISEZ-MOI
%{prefix}/bin/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Wed Mar 28 2001 HA Quc-Vit <viet@mandrakesoft.com> 2.1-1mdk
- Initial release.
